%include	/usr/lib/rpm/macros.php
%define		_class		Payment
%define		_subclass	DTA
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - creates DTA files containing money transactions (Germany)
Summary(pl.UTF-8):	%{_pearname} - tworzenie plików DTA zawierających transfery pieniężne (Niemcy)
Name:		php-pear-%{_pearname}
Version:	1.4.3
Release:	2
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	dc59de1c58003207a0139997f0b83cc5
Patch0:		%{name}-paths.patch
URL:		http://pear.php.net/package/Payment_DTA/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear > 4:1.0-9.4
Obsoletes:	php-pear-Payment_DTA-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_pearname} provides function to create DTA files used in Germany to
exchange information about money transactions with banks or online
banking programs.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
%{_pearname} dostarcza funkcji do tworzenia plików DTA używanych w
Niemczech do wymiany informacji dotyczących transakcji pieniężnych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/data/Payment_DTA
%changelog
* Mon Apr 08 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Payment_DTA.git;a=log;h=master

* Mon Apr 08 2019 Adam Gołębiowski <adamg@pld-linux.org> 7608cba
- new

* Mon Apr 08 2019 Adam Gołębiowski <adamg@pld-linux.org> f0e9010
- release 2, fix paths to DTABase.php

* Thu Feb 28 2019 Adam Gołębiowski <adamg@pld-linux.org> ba6afe0
- updated to 1.4.3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> aa24834
- dropped -tests subpackage

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 6ce6d23
- updated to 1.3.0

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 2a94216
- updated to 1.2.1; tests subpkg

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 1ce4db8
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fb7e224
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0d512ec
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> cbf7cea
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> f568f09
- BR php-pear-PEAR

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 10c88c7
- req php-pear with Payment dir

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 1da621f
- rel 2

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> 246e6f3
- new pear packaging

* Sat Feb 05 2005 Adam Gołębiowski <adamg@pld-linux.org> b8a0df2
- updated to 1.2.0

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> d0716ae
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 8313adc
- fixed english information about status of the package

* Mon May 24 2004 Adam Gołębiowski <adamg@pld-linux.org> 2de6577
- status changed to stable

* Mon May 24 2004 Adam Gołębiowski <adamg@pld-linux.org> 89abe61
- updated to 1.00

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 783d49a
- massive cosmetics

